var persistenceBanco;

jQuery(document).ready(function() {
	loadListaCliente();
});

function loadListaCliente() {
	document.addEventListener("deviceready", onListaProduto, false);
}

function onListaProduto() {
	document.addEventListener("backbutton", botaoBack, false);
	(function($) {
		var start = new Date().getTime();
		$(".Menu").hide(0);
		eventoBotaoClick('.botao');
		$(".opcaoMenu").on('click', function(e) {
			e.preventDefault();
			// $('.Menu').toggle('slow');
			// var menu = $(".Menu");
			// var he = $("#header");
			//
			// $(".Menu").toggleClass("menuAberto");
			// $(".opcaoMenu").toggleClass("menuAberto");
			// console.log("TROCOU");
		});

		$("input#pesquisaValor").ezpz_hint();

		var grid;

		abrirBanco(function(a) {
			persistenceBanco = a;

			persistenceBanco.query("produtos").all().execute().done(function(results) {

				grid = new ListaGrid("", results, ".container");
				grid.setTitulo(["descricao", "linha", "coluna"]);

				//primeira Linha
				grid.adicionarElemento('0', 'Código:', '2', 'center', 'blue');
				grid.adicionarElemento('0', 'codigo', '2', 'left');
				grid.adicionarElemento('0', 'Un:', '1', 'center', 'blue');
				grid.adicionarElemento('0', 'un', '2', 'left');
				grid.adicionarElemento('0', 'Valor R$:', '3', 'center', 'blue');
				grid.adicionarElemento('0', 'valor', '2', 'left');

				//segunda linha
				grid.adicionarElemento('1', 'Grupo:', '2', 'center', 'blue');
				grid.adicionarElemento('1', 'grupo', '5', 'left');
				grid.adicionarElemento('1', 'Estoque:', '3', 'center', 'blue');
				grid.adicionarElemento('1', 'estoque', '2', 'left');

				grid.setNumerosMaxLinhas(2);

				grid.setNumeroFormatado('valor');

				grid.setarCorCondicao(['estoque', 'descricao'], 'estoque', 'red', '<=', 0);

				grid.montarCampos('linhaPrincipal', function() {
					var end = new Date().getTime();
					var final = end - start;
					console.log('TEMPO DE GRID: ' + final);
				});

			});

			var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'touchstart');
			$("#pesquisaValor").on('keypress',function(e) {
				//alert(e.keyCode);
				if (e.keyCode == 13) {
					grid.pararGerarGrid();
					var start = new Date().getTime();

					jQuery('#centerCadastroo').remove();

					var valor = $("#pesquisaValor").val();
					persistenceBanco.query("produtos").filter(function(e) {

						return e.descricao.toLowerCase().indexOf(valor) != -1 || e.codigo.toLowerCase().indexOf(valor) != -1 || e.grupo.toLowerCase().indexOf(valor) != -1;

					}).execute().done(function(results) {
						grid.setValorPesquisar(results, function() {
						});
						var end = new Date().getTime();
						var final = end - start;
						console.log('TEMPO DE GRID: ' + final);
					});
				}
			});

		});
	})(jQuery);

}

function retornoGrid(a) {

}

function botaoBack() {
	if (localStorage.getItem("clienteEditar") != '') {
		jQuery('.adpopup-overlay.adpopup-style-overlay-dark').trigger("click");
		localStorage.setItem("clienteEditar", '');
	} else {
		window.location.replace('../../../index.html');
	}
}